Bug 814199 - [abrt] shotwell-0.10.1-4.fc16: magazine_cache_pop_magazine: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.10.1-4.fc16: magazine_cache_pop_magazine: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:0476c7e733c25bc58cfedbe05d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 07:16 EDT by YvanM
Modified: 2013-02-13 13:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (10.89 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details
File: backtrace (50.93 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details
File: gconf_subtree (2.47 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details
File: maps (49.94 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details
File: dso_list (11.10 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details
File: build_ids (4.24 KB, text/plain)
2012-04-19 07:16 EDT, YvanM
no flags Details

  None (edit)
Description YvanM 2012-04-19 07:16:33 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        shotwell
crash_function: magazine_cache_pop_magazine
executable:     /usr/bin/shotwell
kernel:         3.3.2-1.fc16.x86_64
pid:            2222
pwd:            /home/yvan
reason:         Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
time:           jeu. 19 avril 2012 12:56:22 CEST
uid:            1000
username:       yvan
xsession_errors: 

backtrace:      Text file, 52152 bytes
build_ids:      Text file, 4346 bytes
dso_list:       Text file, 11369 bytes
event_log:      Text file, 11156 bytes
gconf_subtree:  Binary file, 2530 bytes
maps:           Text file, 51142 bytes

comment:
:I tried to import a folder with a lot of images and containing subfolders, and shotwell crashed. My folder is on another partition in ext2.
:
:-> I tried a second time and it worked fine.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ymasson
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=51595e5399d97dd082fe0da10000000d-1334830985.580027-1194539438
:GNOME_KEYRING_CONTROL=/tmp/keyring-hJg16H
:IMSETTINGS_MODULE=none
:USER=yvan
:USERNAME=yvan
:MAIL=/var/spool/mail/yvan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/yvan/.local/bin:/home/yvan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/yvan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1274
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/yvan
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=yvan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-B9rdxKDsCo,guid=dd03f0ba49f457cc02436aa40000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/yvan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-yvan-Aa4sBu/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1281,unix/unix:/tmp/.ICE-unix/1281
:SSH_AUTH_SOCK=/tmp/keyring-hJg16H/ssh
:GPG_AGENT_INFO=/tmp/keyring-hJg16H/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2222

smolt_data:
:
:
:Général
:=================================
:UUID: 0532e6a0-1666-4e3e-86cd-e73d513901ce
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4322.48
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 CPU         T7400  @ 2.16GHz
:Stepping du processeur: 6
:Famille de processeur: 6
:Modèle du processeur: 15
:Nombre de processeurs: 2
:Vitesse du processeur: 2167
:Mémoire du système: 2980
:Swap du système: 2999
:Fabricant: Apple Inc.
:Système: MacBook2,1 1.0
:Type d'ordinateur: Notebook
:Noyau: 3.3.2-1.fc16.x86_64
:SELinux activé: 0
:Stratégie SELinux: targeted
:SELinux strict: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:(32902:10169:32902:29296) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(5772:36:4203:135) pci, ath9k, NETWORK, AR5008 Wireless Network Adapter
:(32902:10146:32902:29296) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:32902:29296) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4523:17250:4523:21281) pci, sky2, ETHERNET, Marvell RDK-8053
:(32902:10200:33668:30336) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:29296) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10180:32902:29296) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10202:32902:29296) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10147:0:0) pci, None, NONE, N/A
:(32902:10185:32902:29296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:29296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10144:32902:29296) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:10186:32902:29296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:29296) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:29296) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 14558743 12220702 12075004 3645440 3484650 3484650
:/dev/sda6 WITHHELD ext2 4096 4096 26010657 10919383 9597503 6610944 6575617 6575617
:

var_log_messages:
:Apr 19 12:17:33 ymasson yum[3605]: Updated: shotwell-0.10.1-4.fc16.x86_64
:Apr 19 12:56:22 ymasson kernel: [ 2039.366159] shotwell[2257]: segfault at 33 ip 000000329e260251 sp 00007fad6bffe830 error 4 in libglib-2.0.so.0.3000.2[329e200000+11e000]
:Apr 19 12:56:22 ymasson abrt[2258]: Saved core dump of pid 2222 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-04-19-12:56:22-2222 (77611008 bytes)
Comment 1 YvanM 2012-04-19 07:16:38 EDT
Created attachment 578603 [details]
File: event_log
Comment 2 YvanM 2012-04-19 07:16:40 EDT
Created attachment 578604 [details]
File: backtrace
Comment 3 YvanM 2012-04-19 07:16:42 EDT
Created attachment 578605 [details]
File: gconf_subtree
Comment 4 YvanM 2012-04-19 07:16:45 EDT
Created attachment 578606 [details]
File: maps
Comment 5 YvanM 2012-04-19 07:16:47 EDT
Created attachment 578607 [details]
File: dso_list
Comment 6 YvanM 2012-04-19 07:16:49 EDT
Created attachment 578608 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-01-16 10:32:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 13:35:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.